/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.revision.impl;

import org.LexGrid.LexBIG.DataModel.Core.CodingSchemeVersionOrTag;
import org.LexGrid.LexBIG.Impl.dataAccess.ResourceManager;
import org.LexGrid.LexBIG.Impl.logging.Logger;
import org.lexgrid.extension.revision.LexEVSRevisionServices;
import org.lexgrid.extension.revision.LgRevisedCodedNodeSet;
import org.lexgrid.extension.revision.exception.LBRevisionException;

public class LexEVSRevisionServicesImpl implements LexEVSRevisionServices {

/**
	 * 
	 */
private static final long serialVersionUID = -4169318372843791989L;
	
	private Logger message_ = null;
	private static final String name_ = "LexEVSRevisionServicesImpl";
	private static final String desc_ = "Implements LexGrid Revision services.";
	private static final String provider_ = "Mayo Clinic";
	private static final String version_ = "1.0";
	
	@Override
	public LgRevisedCodedNodeSet getCodingSchemeRevisedConcepts(
			String codingScheme, CodingSchemeVersionOrTag version)
			throws LBRevisionException {

		message_ = ResourceManager.instance().getLogger();
		
		LgRevisedCodedNodeSet LgRevisedCodedNodeSet = new LgRevisedCodedNodeSetImpl(
				codingScheme, version, message_);

		return LgRevisedCodedNodeSet;
	}
	
	/*
	 * (non-Javadoc)
	 * 
	 * @see org.LexGrid.LexBIG.Extensions.Extendable#getName()
	 */
	public String getName() {
		return name_;
	}
	
	/*
	 * (non-Javadoc)
	 * 
	 * @see org.LexGrid.LexBIG.Extensions.Extendable#getDescription()
	 */
	public String getDescription() {
		return desc_;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.LexGrid.LexBIG.Extensions.Extendable#getProvider()
	 */
	public String getProvider() {
		return provider_;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.LexGrid.LexBIG.Extensions.Extendable#getVersion()
	 */
	public String getVersion() {
		return version_;
	}
}